﻿using System;
using System.Windows.Forms;
using C1.Win.Ribbon;
using System.IO;
using System.Drawing;

namespace WordPad
{
    public partial class SaveAsTab : UserControl
    {
        public SaveAsTab()
        {
            InitializeComponent();
        }
        public C1BackstageView Owner { get; internal set; }

        private void browseCaption_Click(object sender, EventArgs e)
        {
            SaveFileDialog saveDialog;
            saveDialog = new SaveFileDialog();
            saveDialog.Title = "Browse .rtf file";
            saveDialog.Filter = "Supported files (*.rtf, *.txt)|*.rtf;*.txt|" + "All files (*.*)|*.*";

            if (saveDialog.ShowDialog() == DialogResult.OK)
            {
                Form1 f = new Form1();
                ((RichTextBox)f.Controls["richTextBox1"]).SaveFile(saveDialog.FileName);
           
            }
        }

        private void browseCaption_MouseHover(object sender, EventArgs e)
        {
            browseCaption.Font = new Font(browseCaption.Font.Name, browseCaption.Font.SizeInPoints, FontStyle.Underline);
            browseCaption.BackColor = Color.AliceBlue;
        }

        private void browseCaption_MouseLeave(object sender, EventArgs e)
        {
            browseCaption.BackColor = Color.CornflowerBlue;
            browseCaption.Font = new Font(browseCaption.Font.Name, browseCaption.Font.SizeInPoints, FontStyle.Regular);
        }
    }
}
