﻿using System;
using System.Windows.Forms;
using C1.Win.Ribbon;
using System.IO;
using System.Drawing;

namespace WordPad
{
    public partial class BackstageOpenView : UserControl
    {
        public BackstageOpenView()
        {
            InitializeComponent();
        }
        public C1BackstageView Owner { get; internal set; }

        private void browseCaption_Click(object sender, EventArgs e)
        {
            OpenFileDialog openDialog;
            openDialog = new OpenFileDialog();
            openDialog.Title = "Browse .rtf file";
            openDialog.Filter = "Rich Text Files (*.rtf)|*.RTF";

            if (openDialog.ShowDialog() == DialogResult.OK)
            {
                Form1 f = new Form1();
                RichTextBox rct = (RichTextBox)((Control)sender).TopLevelControl.Controls[1];
                rct.LoadFile(openDialog.FileName);
                Owner.DroppedDown = false;
                f.LoadDocument(openDialog.FileName);
            }
        }
        private void browseCaption_MouseHover(object sender, EventArgs e)
        {
            browseCaption.Font = new Font(browseCaption.Font.Name, browseCaption.Font.SizeInPoints, FontStyle.Underline);
            browseCaption.BackColor = Color.AliceBlue;

        }
        private void browseCaption_MouseLeave(object sender, EventArgs e)
        {
            browseCaption.BackColor = Color.CornflowerBlue;
            browseCaption.Font = new Font(browseCaption.Font.Name, browseCaption.Font.SizeInPoints, FontStyle.Regular);
        }
    }
}
